# [3.4.0](https://github.com/WeakAuras/WeakAuras2/tree/3.4.0) (2021-05-18)

[Full Changelog](https://github.com/WeakAuras/WeakAuras2/compare/3.3.0...3.4.0)

## Highlights

 - Add new Import / Update experience for auras.
- More progress on nested groups. Don't get excited yet.
- More updates for BCC
- Lots of bug fixes. 

## Commits

InfusOnWoW (7):

- Cast trigger: Show a "Exact Spell match" option for the spellId check
- Fix Remaing Cast Time Check for multi auras
- Fix clones jumping around
- Spell Cooldown: Fix fake charges for GCD tracking auras
- Allow TSU tooltips to be wrapped
- Fix TimerTick not being disabled on Collpase/Expand
- Retail Templates: Add missing Unbound Chaos talent to DH Buffs

Stanzilla (4):

- Dependabot: Monitor GitHub actions for updates
- Rename everything concerning TBC Classic to BCC
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools

Vardex (8):

- Text Region: Prepare for nested
- Prepare TextEditor for nested
- OptionsFrame: Make some preparations for nested
- Prepare DisplayOptions for nested
- Prepare tooltip for nesting
- Options: Use TraverseChildren in view test
- Prepare InformationOptions for nested
- Add offset to display button for nested

emptyrivers (2):

- set chunk name on loadstring instead of injecting a comment
- lock archivist version

mrbuds (31):

- fix "Talent Known" trigger for BCC fixes #3098
- update wowtools script for classic_era and bcc
- tbc swing timer: aimed shot should reset both melee & ranged swings
- remove debug print in DuplicateCollapseData
- fix scrolling with Ready for Install/Update AddChild should only be done on init shown buttons always need to be added to frame.buttonsScroll.children
- Import tooltip: remove "Source:" This make it easier to have correct position for urlEditBox for all locales
- don't reset swing timer on Steady Shot
- Support "Action Queued" for classic/tbc Templates update skills Heroic Strike, Cleave, Raptor Strike and Maul
- fix WeakAurasTemplates.toc
- add a new section "Ready for Update" change "Ready to Import" to "Ready for Import" remove companion update code from WeakAurasDisplayButton rename PendingImport to PendingInstall refactor show/hide tooltips on button widgets don't use skipWagoUpdate anymore
- make url text of import tooltip frame selectable for copy
- some spell reset both ranged & melee weapon timer
- fix glow anchor for aurabar property name was duplicated
- missing brackets
- clean duplicates in FakeWeakAurasMixin.blockedFunctions
- fix MAX_NUM_TALENTS nil error on classic
- fix talents on TBC
- support change in structure of WeakAurasCompanion data and add nil checks fix pendingImportButton not hiding
- GetSpellCount return correct value now
- paladin update
- update druid
- warrior update
- add MAX_NUM_TALENTS to .luacheckrc
- priest update
- rogue update
- hunter update
- warlock update
- mage update
- shaman template update
- fix tbc talents MAX_NUM_TALENTS is 20 in classic, 40 in tbc
- split templates data

